Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Interface IEmbeddedAttachment

All Superinterfaces:
  IAttachment, IAttachmentSource, IItem, java.io.Serializable

public interface IEmbeddedAttachment
extends IAttachment

Represents an attachment that is an embedded item. The `ItemClass` for this type of attachment is `attachment.embedded`.

Field Summary
`static ItemClass` | `CLASS` The default type of embedded attachment for items that support them.

Fields inherited from interface com.compoze.collab.IAttachment
`KEYID_NAME, KEYID_SIZE, NAME, SIZE`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`IItem` | `getItem()` Gets the item that backs this embedded attachment using `FetchProfile.MINIMUM`.
`IItem` | `getItem(FetchProfile profile)` Gets the item that backs this embedded attachment.

Methods inherited from interface com.compoze.collab.IAttachment
`commit`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.IAttachmentSource
`getInputStream, getName, getSize`

Field Detail

### CLASS

    public static final ItemClass CLASS

  The default type of embedded attachment for items that support them.

Method Detail

### getItem

    public IItem getItem()
                  throws CollaborationException

  Gets the item that backs this embedded attachment using `FetchProfile.MINIMUM`.
  Returns:
    the item represented by this embedded attachment.
  Throws:
    `CollaborationException` - if there was a problem retrieving the item associated with this embedded attachment.

### getItem

    public IItem getItem(FetchProfile profile)
                  throws CollaborationException

  Gets the item that backs this embedded attachment. This method will retrieve only the minimum required for an item.
  Parameters:
    `profile` - the fetch profile to get the
  Returns:
    the item represented by this embedded attachment.
  Throws:
    `CollaborationException` - if there was a problem retrieving the item associated with this embedded attachment.embedded item

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.